import 'package:farmer_client/widgets/DefaultButton.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class AddressList extends StatefulWidget {
  const AddressList({Key? key}) : super(key: key);

  @override
  _AddressList createState() => _AddressList();
}

class _AddressList extends State<AddressList> {
  bool isDetault = false;
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        elevation: 0,
        centerTitle: true,
        backgroundColor: Colors.white,
        title: Text(
          '地址管理',
          style: TextStyle(
              color: Colors.black,
              fontSize: 17.sp,
              letterSpacing: 2,
              fontWeight: FontWeight.bold),
        ),
      ),
      body: Container(
        padding: EdgeInsets.all(15.w),
        child: Column(
          //左对齐
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Container(
              width: 345.w,
              padding: EdgeInsets.all(15.w),
              margin: EdgeInsets.symmetric(vertical: 10.h, horizontal: 0),
              decoration: BoxDecoration(
                color: const Color(0xFFFFFFFF),
                borderRadius: BorderRadius.all(Radius.circular(10.w)),
                boxShadow: [
                  BoxShadow(
                      color: const Color(0x19000000),
                      offset: Offset(0, 5.w),
                      blurRadius: 12.w),
                ],
              ),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Row(
                    children: [
                      Container(
                        margin: EdgeInsets.fromLTRB(0, 0, 5.w, 0),
                        padding: EdgeInsets.symmetric(
                            vertical: 1.w, horizontal: 5.w),
                        decoration: BoxDecoration(
                          color: const Color(0xffff0000),
                          borderRadius: BorderRadius.all(Radius.circular(5.w)),
                        ),
                        child: Text(
                          '默认地址',
                          style: TextStyle(
                            fontSize: 15.sp,
                            color: const Color(0xffffffff),
                          ),
                        ),
                      ),
                      Text(
                        '我的地址1',
                        style: TextStyle(
                            fontSize: 15.sp, fontWeight: FontWeight.w700),
                      ),
                    ],
                  ),
                  Container(
                    decoration: BoxDecoration(
                      border: Border(
                        bottom: BorderSide(
                            width: 0.5.h,
                            color: const Color(0xcc000000),
                            style: BorderStyle.solid),
                      ),
                    ),
                    child: Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                        Container(
                          padding: EdgeInsets.symmetric(vertical: 5.w,horizontal: 0),
                          width:310.w,
                          child: Text(
                            '666666',
                            style: TextStyle(
                              fontSize: 15.sp,
                              color: const Color(0xff666666),
                            ),
                          ),
                        ),
                        Image.asset('')
                      ],
                    ),
                  ),
                  const Text('我的地址'),
                  const Text('6666'),
                  const Text('设为默认地址：')
                ],
              ),
            ),
            if (!isDetault) const Text('66'),
            DefaultButton(
              color: const Color(0xffffffff),
              backColor: const Color(0xFFFF703B),
              width: 345.w,
              height: 49.h,
              text: '+新增收货地址',
              onPressed: () {},
              margin: const EdgeInsets.all(0),
              fontSize: 20.sp,
              radius: 24.5.w,
            ),
          ],
        ),
      ),
    );
  }
}
